use std::fmt::Display;

#[derive(Debug)]
pub struct ConfigurationError {
    pub message: String,
}

impl Display for ConfigurationError {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "configuration error: {}", self.message)
    }
}
